%global cli_tool cplc

Name:           classpathless-compiler
Version:        1.4
Release:        2%{?dist}
Summary:        Tool for recompiling java sources with customizable class providers
License:        ASL 2.0
URL:            https://github.com/mkoncek/classpathless-compiler
BuildArch:      noarch

Source0:        https://github.com/mkoncek/classpathless-compiler/archive/refs/tags/%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(com.beust:jcommander)
BuildRequires:  java-11-openjdk-devel

Requires:       java-11-headless
Requires:       beust-jcommander
Requires:       javapackages-tools

%description
Classpathless compiler is a tool used for compiling java sources with
customizable class providers. This tool works differently from the traditional
java compiler in that it doesn't use provided classpath but instead pulls
dependencies using an API.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n classpathless-compiler-%{version}

find -name '*.java' -exec sed -i '/@SuppressFBWarnings\|import edu\.umd\.cs\.findbugs/d' {} +

%pom_remove_dep :spotbugs-annotations

%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :nexus-staging-maven-plugin
%pom_remove_plugin :spotbugs-maven-plugin

%build
export JAVA_HOME=/usr/lib/jvm/java-11
%mvn_build -f

%install
%mvn_install

%jpackage_script io.github.mkoncek.classpathless.Tool "" "" classpathless-compiler/classpathless-compiler:beust-jcommander %{cli_tool}

%files -f .mfiles
%{_bindir}/%{cli_tool}

%license LICENSE
%doc README.md

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Aug 06 2021 Marian Koncek <mkoncek@redhat.com> - 1.4-2
- Fix BuildRequires on java-11-headless

* Thu Jul 22 2021 Marian Koncek <mkoncek@redhat.com> - 1.4-1
- Update to upstream version 1.4

* Tue Jul 13 2021 Marian Koncek <mkoncek@redhat.com> - 1.3-1
- Initial release
